# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/pyclimate/pyclimate-1.2.2.ebuild,v 1.6 2010/06/08 21:57:10 arfrever Exp $

inherit eutils distutils

MY_P="${P/pyclimate/PyClimate}"
S="${WORKDIR}/${MY_P}"

IUSE=""
DESCRIPTION="Climate Data Analysis Module for Python"
SRC_URI="http://fisica.ehu.es/jsaenz/pyclimate_files/${MY_P}.tar.gz"
HOMEPAGE="http://www.pyclimate.org/"
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="alpha amd64 ~ia64 ppc ~sparc x86"

DEPEND="virtual/python
	dev-python/numpy
	>=dev-python/scientificpython-2.8
	>=sci-libs/netcdf-3.0"

src_install() {

	distutils_src_install

	dodir /usr/share/doc/${PF}/doc
	insinto /usr/share/doc/${PF}/doc
	doins doc/*
	doins doc/dcdflib_doc/dcdflib*

	dodir /usr/share/${PF}/examples
	insinto /usr/share/${PF}/examples
	doins examples/*

	dodir /usr/share/${PF}/test
	insinto /usr/share/${PF}/test
	doins test/*
}

pkg_postinst() {
	distutils_pkg_postinst

	elog
	elog "Try the test script in /usr/share/${PF}/test."
	elog "See the examples in /usr/share/${PF}/examples."
	elog "Read the doc in /usr/share/doc/${PF}."
	elog
}
